Arch Equipment: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
mNo edit summary
Line 2: Line 2:


<!--T:1-->
<!--T:1-->
{{GuiCommand|Name=Arch Equipment|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Frame|Shortcut=E Q}}
{{GuiCommand|Name=Arch Equipment|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch Equipment|Shortcut=E Q}}


==Description== <!--T:2-->
==Description== <!--T:2-->

Revision as of 22:19, 13 February 2015

Arch Equipment

Menu location
Arch → Equipment
Workbenches
Arch
Default shortcut
E Q
Introduced in version
-
See also
None

Description

The Equipment tool offers you a simple and convenient way to insert non-structural, standalone elements such as pieces of furniture, hidro-sanitary equipments or electrical appliances to your projects. Equipments can be based on a shape or a mesh, allowing to use either precise solid models, or more easily available mesh models that you can find on the internet.

The above image shows examples of equipment objects made from shapes. As a result, projecting them in 2D gives perfect results. For mesh objects, which don't offer the same possibilities, a helper tool has been added to menu Arch -> Utilities -> 3 views from mesh allows to generate 3 flat, filled, orthogonal projections (top, front and side), which can then be used in 2D projections.

File:Arch equipment example2.jpg

How to use

  1. Select a Part shape or Mesh object
  2. Press the Arch Equipment button, or press E then Q keys

Properties

  • DataModel: A description of the model of this equipment.
  • DataUrl: An URL of the product page where more information about this equipment can be found.

Scripting

The Equipment tool can by used in macros and from the python console by using the following function:

makeEquipment ( baseObject )
  • Creates an equipment object from a base object (Mesh or Part)
  • Returns the new equipment object, or None if the operation failed.

Example:

import Part, Arch
box = Part.makeBox(2,2,2)
base = FreeCAD.ActiveDocument.addObject("Part::Feature","Box")
base.Shape = box
Arch.makeEquipment(base)